Method: customers.quarantinedMessages.list

Queries for quarantined messages using specific filter conditions.

HTTP request

GET https://mailadminquarantine.googleapis.com/v1/{parent=customers/*}/quarantinedMessages

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource, which owns this collection of messages. Format: customers/{customer_id}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of items to return.

pageToken

string

Optional. The nextPageToken value returned from a previous List request.

Request body

The request body must be empty.

Response body

Response message for [quarantinedMessages.list][].

If successful, the response body contains data with the following structure:

JSON representation
{
  "quarantinedMessages": [
    {
      object (QuarantinedMessage)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
quarantinedMessages[]

object (QuarantinedMessage)

The list of quarantined messages matching the request.

nextPageToken

string

A token to retrieve the next page of results.

unreachable[]

string

Accounts for which the service could not retrieve quarantined messages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/gmail.admin.quarantine
  • https://www.googleapis.com/auth/gmail.admin.quarantine.readonly

For more information, see the Authorization guide.